Description: fix hasSequencePrivilege()
Author: Jean-Michel Vourgère <nirgal@debian.org>
Forwarded: https://github.com/phppgadmin/phppgadmin/pull/127
Last-Update: 2020-12-26

--- phppgadmin-7.13.0+dfsg.orig/classes/database/Postgres.php
+++ phppgadmin-7.13.0+dfsg/classes/database/Postgres.php
@@ -2629,9 +2629,9 @@ class Postgres extends ADODB_base {
 		$this->fieldClean($sequence);
 		$this->clean($sequence);
 
-		$sql = "SELECT pg_catalog.has_sequence_privilege('{$f_schema}.{$sequence}','SELECT,USAGE')";
+		$sql = "SELECT pg_catalog.has_sequence_privilege('{$f_schema}.{$sequence}','SELECT,USAGE') AS priv";
 
-		return $this->execute($sql);
+		return $this->selectField($sql, 'priv');
 	}
 
 	/**
